Совместимость ASP Linux с AMD процессором

Автор: Napilnik Дата: 15.12.2005 19:41 Ставил девятый линукс на амд, многие пакеты оказались не адаптированы к амд. Но всё равно произвёл полную установку надеясь на авось самое ценное заработает. Видуха, звуковуха, доступ к фат есть. Но очень многое не работает: запуск программ дос и виндовс, пакеты инсталлируются только rpm, да из тех нормально заработала только опера. Пакеты на СИ конечно не компилируется, да многое другое отказывается работать. Вопрос в следующем: изменится ли это положение если я установлю десятый асп линукс, или сливай воду - на амд качественной работы этого дистрибутива не добиться?
Re: Совместимость ASP Linux с AMD процессором 15.12.2005 20:02lg >очень многое не работает:
>запуск программ дос и виндовс
wine стоит обновить (хотя бы из contribs)
dosemu вроде нормально работал, но можете тоже обновить
А Вы считали, что "программы дос и виндовс" должны работать?
>пакеты инсталлируются только rpm
а Вам какие нужно?
>да из тех нормально заработала только опера
поясните, что значит нормально
>Пакеты на СИ конечно не компилируется
gcc установлен? какие ошибки выдаются?
>да многое другое отказывается работать
без конкретных ошибок разговор становится бессмысленным

PS: при чем здесь amd?
Re: Совместимость ASP Linux с AMD процессором 15.12.2005 21:02Napilnik AMD при том, при установке пишется: не все пакеты адаптированы под амд Грустный Преллагается установить только адаптированные. К сожалению не оказалось под рукой подходящего компа и интелом чтобы проверить разницу. Пакеты для доса устанавливал, но они не живые: кличешь мышкой и никакой реакции, с виндой та же история. gss специально не скачивал, думал, в дистре такое должно быть, но наверно нет или не работает. Пытался кликать по make, просто открывает в тексовом файле. Точнее сегодня ошибки описать не смогу, сижу за другим компом.
Re: Совместимость ASP Linux с AMD процессором 15.12.2005 21:20lg >AMD при том, при установке пишется: не все пакеты адаптированы под амд Грустный Преллагается установить только адаптированные
???
бред, по-моему. Может, Вы имеете в виду галочку "устанавливать оптимизированные пакеты"?
>Пакеты для доса устанавливал, но они не живые
>с виндой та же история
запускаете xterm(gnome-terminal, konsole)
---
wine /путь_до_блокнота/notepad.exe
---
для программ dos запускаете xdosemu, дальше там вроде все понятно Улыбка
> gss специально не скачивал, думал, в дистре такое должно быть
gcc есть и работает
>Пытался кликать по make, просто открывает в тексовом файле
Улыбка
все действия делайте в терминале, иначе непонятно, что на самом деле должно быть
Re: Совместимость ASP Linux с AMD процессором 18.12.2005 01:58Napilnik Если бы xdosemu запустилось, наверно бы это заметил... Тестил на батнике - самое простое для выполнения.
Pause

rem qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq
rem aaaaaaaaaaaaaaaaaaaaaaaaaaa

pause

[buratino@localhost 1]$ xdosemu 1.bat
ERROR: IMAGE /home/buratino/.dosemu/drives/c header lacks magic string - cannot autosense!


[buratino@localhost 1]$ dosemu 1.bat

[buratino@localhost 1]$

Процессор на компе AMD Athlon[tm]XP 1800+ 1,51ГГц
Седьмой асп не ставился вообще - проблемы с железом, девятый пошёл, может десятый встанет ешё лучше? Скачать 3 диска не проблема, главное чтобы флашгет поддерживался :-)Скачал бы и все 6, да невидно остальных трёх дисков на фтп Грустный Те три диска, что выложены для скачивания, они из какого дистрибутива: ASPLinux v10 Express или ASPLinux v10 Standard?
Re: Совместимость ASP Linux с AMD процессором 18.12.2005 03:19Bircoph 2 Napilnik:

> Ставил девятый линукс на амд, многие пакеты оказались не
> адаптированы к амд.

Вы написали абсолютный бред, у меня Athlon 2500+ Barton и всё
ок. Не все пакеты обязательно оптимизировать под проц.
НЕ ПУТАЙТЕ __ОПТИМИЗАЦИЮ__ И __АДАПТАЦИЮ__!

> Но очень многое не работает: запуск программ дос и виндовс,

Это совершенно другой формат исполняемых файлов. Какого хрена
они вообще должны работать в UNIX-среде? Часть приложений
удаётся запускать посредством эмуляторов (dosemu) или
прокладок (wine или cedega). При этом в большинстве случаев
у вас, разумеется, будет потеря быстродействия, т.к. на
перехваты и переработку маздайных API нужны ресурсы. Хотя
гамать можно вполне спокойно: даже HL2 нормально идёт.

> пакеты инсталлируются только rpm,

хмм, а из чего ещё они должны устанавливаться? rpm -- это
стандарт в RH-системах.

> Пакеты на СИ конечно не компилируется,

Для того, чтоб компилявилось всё без проблем, нужно было
выбрать вариант разработка при установке; так что доставляйте
пакеты ручками или yum'ом.

> да многое другое отказывается работать.

Что именно? Логи ошибок в студию.

> ERROR: IMAGE /home/buratino/.dosemu/drives/c header lacks
> magic string - cannot autosense!
>
> [buratino@localhost 1]$ dosemu 1.bat
>
> [buratino@localhost 1]$

Маразм. Эмулятор нужно сначала запустить.
Создаю файл ~/dos.bat, с указанным вами содержимым.
Запускаю dosemu ((d:-) == ~/):
---
DOSEMU built-in command.com version 1.0

C:\>d:

D:\>dos.bat
D:\>pause
Press any key to continue ...


D:\>
D:\>rem qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq
rem qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq

D:\>rem aaaaaaaaaaaaaaaaaaaaaaaaaaa
rem aaaaaaaaaaaaaaaaaaaaaaaaaaa

D:\>
D:\>pause
Press any key to continue ...



D:\>
---
Как видите, всё работает, если почитать немножечко
документацию.

> главное чтобы флашгет поддерживался Улыбка

Какой в баню flashget??! Это вам не маздай. d4x ничем не
хуже, а лично я обожаю wget и curl.
Re: Совместимость ASP Linux с AMD процессором 18.12.2005 04:19Napilnik Протестим Улыбка
Разве полная установка всех пакетов не включает в себя и вариант "разработка"?
Рано флашгет хоронить.Во первых, есть такой западлизм производителей железа как мУдемы совместимые только с в вынью. А бежать в универмаг за новым за сотни км надо, это вам не Москва и не Питер. Во вторых, качать гигабайты не отовсюду можно, на работе не всегда линукс есть Грустный Хотя научиться запускать из него любые вынь игры, было бы неплохо. Никакого платного софта на рабочем месте - халява. У нас за нелицензионную прогу полицаи дают 50 мин зарплат и 3 года условно.
Re: Совместимость ASP Linux с AMD процессором 18.12.2005 05:25Bircoph > Рано флашгет хоронить.Во первых, есть такой западлизм
> производителей железа как мУдемы совместимые только с в
> вынью.

Пардон, но какое отношение имеет качалка к дровам модема? Это
совершенно разные вещи. Если модем не будет работать под
Линухой, то никакой flashget не поможет. Вы в очередной раз
путаете программные и аппаратные вещи.

Кстати, практика показывает, что большинство винмодемов можно
(хотя и не без гемора) заставить работать под Линухой.

> запускать из него любые вынь игры,

А все у вас никогда не пойдут, будут идти преимущественно
самые распостранённые или самые неприхотливые.
Re: Совместимость ASP Linux с AMD процессором 22.12.2005 04:45Napilnik > Если модем не будет работать под Линухой, то никакой flashget не поможет.

Качать дистрибутивы до сих пор помогало. Просто компы разные и доступ к интернету разный - через ржавый телефонный провод(машина с интересной начинкой) и ульта дсл(с тупой системой) с постоянным подключением. Траффик дсл измеряется не в гигах и метрах а в глюках Улыбка То есть если у других пользователей не возникает лагов, или сами пользователи отсутствуют, качай дистрибутивы или mp3 паралельно хоть со всех компов, айпишки-то разные. Следовательно и скорость сервер не урезает и одна бесплатная песня с сайта в сутки уже не одна. Разве где-то иначе?
RSS-материал